/**
 * @author 海狸
 * @description 图表类型
 */
/**
 * 大屏组件类型
 */
export declare enum ScreenComponentType {
    /**
     * 自定义组件
     */
    CUSTOM_COMPONENT = "custom_component",
    /**
     * 纯文本组件
     */
    PLAIN_TEXT = "plain_text",
    /**
     * 滚动文本
     */
    MARQUEE = "marquee",
    /**
     * 图片组件
     */
    IMAGE = "image",
    /**
     * 视频组件
     */
    VIDEO = "video",
    /**
     * 时钟组件
     */
    TIME = "time",
    /**
     * Iframe 组件
     */
    IFRAME = "iframe",
    /**
     * 交互按钮
     */
    INTERACTIVE_BUTTON = "interactive_button",
    /**
     * 下拉按钮
     */
    DROPDOWN_BUTTON = "dropdown_button",
    /**
     * 平铺按钮
     */
    GROUP_BUTTON = "group_button",
    /** 翻牌器 */
    FLIPPER = "flipper",
    /** 阈值翻牌器 */
    THRESHOLD_FLIPPER = "threshold_flipper",
    /** 进度条 */
    PROGRESS = "progress",
    /** 环形进度条 */
    CIRCULAR_PROGRESS = "circular_progress",
    /** 排行榜 */
    RANKING_LIST = "ranking_list",
    /** 占比滚动排行榜 */
    PROPORTION_RANKING_LIST = "proportion_ranking_list",
    /** 明细表格 */
    COMMON_TABLE = "common_table",
    /** 线图 */
    LINE_CHART = "line_chart",
    /** 面积图 */
    AREA_CHART = "area_chart",
    /** 堆积面积图 */
    STACK_AREA_CHART = "stack_area_chart",
    /** 组合图 */
    COMBINATION = "combination",
    /** 柱图 */
    BAR_CHART = "bar_chart",
    /** 堆积柱图 */
    STACK_BAR_CHART = "stack_bar_chart",
    /** 条形图 */
    STRIP_CHART = "strip_chart",
    /** 堆积条形图 */
    STACK_STRIP_CHART = "stack_strip_chart",
    /** 饼图 */
    PIE = "pie",
    /** 环图 */
    DONUT = "donut",
    /** 玫瑰图 */
    ROSE = "rose",
    /** 图层组 */
    LAYER_GROUP = "layer_group",
    /** icon 组件 */
    ICON = "icon",
    /** 形状：矩形 */
    RECT_SHAPE = "rect_shape",
    /** 形状：圆形 */
    CIRCLE_SHAPE = "circle_shape",
    /** 形状：三角形 */
    TRIANGLE_SHAPE = "triangle_shape",
    /** 形状：箭头 */
    ARROW_SHAPE = "arrow_shape",
    /** 色彩地图 */
    COLOR_MAP = "map.color.new",
    /** 气泡地图 */
    BUBBLE_MAP = "map.bubble.new",
    /** 符号地图 */
    SYMBOL_MAP = "map.lbs.symbol",
    /** 飞线地图 */
    FLYLINE_MAP = "map.lbs.line",
    /** 热力图 */
    HEATMAP = "heatmap"
}
export declare enum ComponentType {
    /** 开放组件统一用0标识 */
    CUSTOM = 0,
    /** 交叉表 */
    TABLE = 1,
    /** 柱图 */
    BAR = 2,
    /** 线图 */
    LINE = 3,
    /** 饼图 */
    PIE = 4,
    /** 气泡地图 */
    BUBBLE_MAP = 5,
    /** 彩色地图 */
    COLOR_MAP = 6,
    /** 雷达图 */
    RADAR = 7,
    SCATTER = 9,
    /** 漏斗类 */
    FUNNEL = 10,
    /** 指标看板 */
    INDICATOR = 11,
    /** 矩阵树图 */
    TREEMAP = 16,
    /** 仪表板 */
    GAUGE = 20,
    TEXT = 17,
    /** 查询控件 */
    QUERY = 18,
    DATEPICKER = 19,
    POLAR = 8,
    WORDCLOUD = 12,
    TORNADO = 13,
    /** 树图 */
    TREE = 14,
    /** 来源去向 */
    PATH = 15,
    IFRAME = 21,
    TAB = 22,
    PIC = 23,
    LBS_BUBBLE_MAP = 24,
    LBS_MAP = 24,
    POLYLINE = 25,
    STRIP = 26,
    PROGRESS = 27,
    /** 透视表 */
    PERSPECTIVE = 28,
    BUBBLE = 29,
    RADICAL_BAR = 30,
    MAP_LBS_LINE = 31,
    MAP_LBS_HEAT = 32,
    MAP_3D_WORLD = 33,
    MAP_3D_CHINA = 34,
    OFFLINE_TABLE = 35,
    MAP_3D_SPHERE = 36,
    LINE_STACK = 37,
    POLYLINE_STACK = 38,
    POLYLINE_STACK_PERCENT = 39,
    STRIP_STACK = 40,
    STRIP_STACK_PERCENT = 41,
    BAR_STACK = 42,
    BAR_STACK_PERCENT = 43,
    MAP_LBS_CONTRAIL = 44,
    MAP_LBS_DYNAMICTRAIL = 45,
    MAP_REGION_BUBBLE = 46,
    MAP_REGION_COLOR = 47,
    /** 组合图 */
    COMBINATION = 48,
    DashBoard = 49,
    /** 复合式查询控件 */
    ADVANCED_QUERY = 50,
    /** 瀑布图 */
    WATERFALL = 51,
    /** 桑基图 */
    SANKEY = 52,
    /** 指标趋势图 */
    INDICATOR_TREND = 53,
    /** 排行榜 */
    RANKING_LIST = 54,
    /** 翻牌器 */
    FLIPPER = 55,
    /** 来源去向 */
    FROMTO = 56,
    /** 新版色彩地图 */
    MAP_COLOR_NEW = 57,
    /** 新版气泡地图 */
    MAP_BUBBLE_NEW = 58,
    /** 新版散点图 */
    SCATTER_NEW = 59,
    QUERY2 = 60,
    /** 新版漏斗图 */
    FUNNEL_NEW = 61,
    /** 新版对比漏斗图 */
    FUNNEL_NEW_COMPARE = 62,
    /** 新版仪表盘 */
    GAUGE_NEW = 63,
    /** 水波图 */
    WATERWAVE = 64,
    /** 新版本进度条 */
    PROGRESS_NEW = 65,
    /** 新版指标卡 */
    INDICATOR_CARD = 66,
    /** 指标拆解树 */
    DECOMPOSITION_TREE = 67,
    /** 动态柱图 */
    BAR_CHART_RACE = 68,
    /** timeline */
    STORY_TIMELINE = 69,
    /** 新交叉表 */
    CROSS_TABLE = 70,
    /** 符号地图 */
    LBS_SYMBOL_MAP = 71,
    /** 新明细表 */
    COMMON_TABLE = 73,
    /** 即席分析表格 */
    ANALYSE_TABLE = 72,
    /** 电子表格交叉表 */
    EXCEL_CROSS_TABLE = 74,
    /** 趋势分析表格 */
    TREND_TABLE = 75,
    /** [组件子数据集ChildCube] 子数据集组件 */
    CHILD_CUBE = 76,
    /** 钉钉表格-交叉表 */
    QUICK_REPORT_CROSS_TABLE = 77,
    /** 组件拼接的容器组件 */
    CONCAT_CONTAINER = 78,
    /** 钉钉表格-单元格数据集 */
    QUICK_REPORT_CELL_TABLE = 79,
    /** 钉钉表格-卡片视图 */
    QUICK_REPORT_CARD_VIEW = 80,
    /** 指标关系图 */
    INDICATOR_RELATION = 81,
    /** 热力图 */
    HEATMAP = 82
}
export declare const ScreenComponentCode: Record<ScreenComponentType, number>;
export declare enum ChartType {
    ROOT = "root",
    LINE = "line",
    LINE_STACK = "line-stack",
    POLYLINE = "polyline",
    POLYLINE_STACK = "polyline-stack",
    POLYLINE_STACK_PERCENT = "polyline-stack-percent",
    BAR = "bar",
    BAR_STACK = "bar-stack",
    BAR_STACK_PERCENT = "bar-stack-percent",
    RADICAL_BAR = "radical-bar",
    STRIP = "strip",
    STRIP_STACK = "strip-stack",
    STRIP_STACK_PERCENT = "strip-stack-percent",
    PIE = "pie",
    MAP_BUBBLE = "map.bubble",
    MAP_COLOR = "map.color",
    MAP_BUBBLE_NEW = "map.bubble.new",
    MAP_COLOR_NEW = "map.color.new",
    MAP_REGION_COLOR = "map.region.color",
    MAP_REGION_BUBBLE = "map.region.bubble",
    MAP_LBS = "map.lbs",
    MAP_LBS_BUBBLE = "map.lbs.bubble",
    MAP_LBS_HEAT = "map.lbs.heat",
    MAP_LBS_LINE = "map.lbs.line",
    MAP_LBS_SYMBOL = "map.lbs.symbol",
    MAP_LBS_CONTRAIL = "map.lbs.contrail",
    MAP_LBS_DYNAMICTRAIL = "map.lbs.dynamictrail",
    MAP_3D_WORLD = "map.3d.world",
    MAP_3D_CHINA = "map.3d.china",
    MAP_3D_SPHERE = "map.3d.sphere",
    TABLE = "table",
    PERSPECTIVE = "perspective",
    GAUGE = "gauge",
    GAUGE_NEW = "gauge.new",
    WATERWAVE = "waterwave",
    PROGRESS_NEW = "progress.new",
    RADAR = "radar",
    SCATTER = "scatter",
    SCATTER_NEW = "scatter.new",
    FUNNEL = "funnel",
    INDICATOR = "indicator",
    INDICATOR_CARD = "indicator-card",
    TREEMAP = "treemap",
    POLAR = "polar",
    WORDCLOUD = "wordCloud",
    HEATMAP = "heatmap",
    TORNADO = "tornado",
    TREE = "tree",
    PATH = "path",
    PROGRESS = "progress",
    BUBBLE = "bubble",
    OFFLINE_TABLE = "offline",
    QUERY = "query",
    IFRAME = "iframe",
    TEXT = "text",
    TAB = "tab",
    PIC = "pic",
    WATERFALL = "waterfall",
    SANKEY = "sankey",
    ADVANCED_QUERY = "advanced-query",
    RANKING_LIST = "ranking-list",
    FLIPPER = "flipper",
    FROMTO = "fromto",
    INDICATOR_TREND = "indicator-trend",
    COMBINATION = "combination",
    QUERY2 = "query2",
    FUNNEL_NEW = "funnel.new",
    FUNNEL_NEW_COMPARE = "funnel.new.compare",
    DECOMPOSITION_TREE = "decomposition-tree",
    BAR_CHART_RACE = "bar-chart-race",
    STORY_TIMELINE = "story-timeline",
    TAB_PANEL = "tab-panel",
    CUSTOM = "custom",
    CROSS_TABLE = "cross-table",
    EXCEL_CROSS_TABLE = "excel-cross-table",
    QUICK_REPORT_CROSS_TABLE = "quick-report-cross-table",
    STORY_BUILDER = "story-builder",
    COMMON_TABLE = "common-table",
    CHILD_CUBE = "child-cube",
    TREND_TABLE = "trend-table",
    CONCAT_CONTAINER = "concat-container",
    QUICK_REPORT_CELL_TABLE = "quick-report-cell-table",
    QUICK_REPORT_CARD_VIEW = "quick-report-card-view",
    INDICATOR_RELATION = "indicator-relation"
}
