/**
 * @author 雅影
 * @description 物理表模型
 */
import { DataType, DateGranularity, RegionGranularity, SecondDataType } from './cube-model';
/** 物理表字段模型 */
export interface TableField {
    /** 物理字段备注 */
    caption: string;
    /** 物理字段名 */
    column: string;
    /** 数据类型 */
    dataType: DataType;
    /** 粒度 */
    granularities: DateGranularity[] | null;
    /** 类型 */
    type: 'StrDateTypeDimension' | 'StandardDimension' | 'MeasureDimension';
    /** 智能推荐类型 */
    autoMatchDataType?: {
        secondDataType: SecondDataType;
        dataFormat: string;
        granularities: RegionGranularity;
    };
}
/** 物理表模型 */
export interface TableSchema {
    /** 数据源id */
    datasourceId?: string;
    /** sql片段 */
    sql?: string;
    /** sql id */
    sqlId?: string;
    /** 数据表名称 */
    tableName?: string;
    /** 字段模型 */
    fields: TableField[];
    /** 是否用备注作为标题 */
    useComment?: boolean;
    /** 字段结构 */
    fieldTree?: string[];
}
