/**
 * @author 忘悠
 * @description 数据面板图表接入模型
 */
import { AreaMap, DataSchemaAreaItem, ValidateResult } from './dataSchemaItem';
import { Platform } from '../data-schema';
import { FieldConfigRow } from './base';
export declare class ResultDisplay {
    /** 上下限 */
    upLimit?: number;
    downLimit?: number;
    /** 是否展示全量选择按钮 */
    isShowAll?: boolean;
    /** 是否隐藏展示结果设置 */
    hide?: boolean;
}
export declare class DataPanelDataSchema {
    /** 禁用调整面板大小以及收起展开功能 */
    disableResize?: boolean;
    /** 高级查询控件采用之前面板的模式，比较特殊 */
    advanceQueryMode?: boolean;
    areas?: DataSchemaAreaItem[];
    /** 结果展示 */
    resultDisplay?: ResultDisplay;
    /** 是否需要 */
    alwaysFresh?: boolean;
    hooks?: {
        /** 点击更新按钮之前的钩子 */
        beforeUpdateComponent?: (component: any, platform?: Platform) => {
            component: any;
        };
        /** 点击聚合明细按钮的钩子，点击之后会更新component */
        onClickQueryDetailBtns?: (component: any) => {
            component: any;
        };
        /** 点击更新按钮时的自定义校验 */
        beforeUpdateComponentValidate?: (areaMap: AreaMap, component: any) => ValidateResult;
        /** 转换为component inputquery模型时调用 */
        reviseWhenConvertToQueryInput?: (input: any) => any;
        /** 动态更新dataSchema */
        reviseDataSchemaByComponent?: (dataSchema: DataPanelDataSchema, options?: {
            /** 是否是组件创建初始化,若为true,此时 attribute等参数不起作用，可以省略 */
            isInit?: boolean;
            /** 根据组件attribute动态更新dataSchema */
            attribute?: any;
        }) => DataPanelDataSchema;
        /** 其他图表切换到当前图表订正input */
        reviseInputWhenSwitchComponent?: {
            /** 来源图表类型，如果没命中，则走默认订正逻辑 */
            fromList: any[];
            reviser: (fromInput: any, dftToInput: any, from: any, to: any) => any;
        };
        /** 指标树管理，趋势分析表用到 */
        indicatorTreeManager?: {
            setter: (component: any, newHierarchicalData?: any[]) => any;
            getter: (component: any) => any[];
        };
    };
    /** 批量字段配置相关 */
    batchFieldSettingConfig?: {
        /** 自定义批量字段设置表头 */
        customFiledConfigRow?: (headerRow: FieldConfigRow) => FieldConfigRow;
    };
    /** 开启聚合明细按钮组 */
    showQueryDetailBtns?: boolean;
    /** 关闭度量重复校验 */
    allowMeasureRepeat?: boolean;
    isShowCube?: (component: any) => boolean;
}
