/** etl发布状态 */
export declare enum EtlPublishStatus {
    /** 未发布 */
    unPublisHed = 0,
    /** 已发布 */
    published = 1,
    /** 已发布并且编辑保存正确 */
    publishedEditOK = 2,
    /** 下线 */
    offline = 3,
    /** 已发布但编辑有错误 */
    publishedEditError = 4
}
/** etl 调度状态 */
/**
 *    NOT_RUN(-1, "未运行"),
    READY_TO_RUN(1, "调度中待运行"),
    RUNNING(2, "运行中"),
    RUN_SUCCESS(3, "执行成功"),
    RUN_FAILED(4, "执行失败"),
    MANUAL_TERMINATED(5, "手动终止"),
 */
export declare enum EtlScheduleStatus {
    /** 未运行 */
    NotRun = -1,
    /** 调度中待运行 */
    ReadyToRun = 1,
    /** 运行中 */
    Running = 2,
    /** 执行成功 */
    RunSuccess = 3,
    /** 执行失败 */
    RunFailed = 4,
    /** 手动终止 */
    ManualTerminated = 5
}
/** elt 产物状态 */
export declare enum EtlProductStatus {
    /**
     * 正常输出中
     */
    Running = 1,
    /** 已解绑 */
    UnBind = 2,
    /** 已删除 */
    Deleted = 3
}
/** etl 产物信息 */
export interface IEtlMeta {
    /** etl 信息 */
    etlId: string;
    /** etl name */
    etlName: string;
    /** elt 发布状态 */
    etlPublishStatus: EtlPublishStatus;
    /** 是否停止调度了 */
    etlSchedulePaused: boolean;
    /** 创建时间 */
    gmtCreate: string;
    /** 修改时间 */
    gmtModified: string;
    /** 作品id */
    productId: string;
    /** 产物名称 */
    productName: string;
    /** 作品地址，数据源id或者文件夹id */
    productAimDirId: string;
    /** 文件夹名称或者数据源名称 */
    productAimDirName: string;
    /** 产物状态 已删除等 */
    productStatus: EtlProductStatus;
    /**  产物类型，数据表或数据集 */
    productType: string;
    /** 最后一次调度状态 */
    lastScheduleStatus: EtlScheduleStatus;
}
