import _defineProperty from "@babel/runtime/helpers/defineProperty.js";

var _ScreenComponentCode;

export var ScreenComponentType;

(function (ScreenComponentType) {
  ScreenComponentType["CUSTOM_COMPONENT"] = "custom_component";
  ScreenComponentType["PLAIN_TEXT"] = "plain_text";
  ScreenComponentType["MARQUEE"] = "marquee";
  ScreenComponentType["IMAGE"] = "image";
  ScreenComponentType["VIDEO"] = "video";
  ScreenComponentType["TIME"] = "time";
  ScreenComponentType["IFRAME"] = "iframe";
  ScreenComponentType["INTERACTIVE_BUTTON"] = "interactive_button";
  ScreenComponentType["DROPDOWN_BUTTON"] = "dropdown_button";
  ScreenComponentType["GROUP_BUTTON"] = "group_button";
  ScreenComponentType["FLIPPER"] = "flipper";
  ScreenComponentType["THRESHOLD_FLIPPER"] = "threshold_flipper";
  ScreenComponentType["PROGRESS"] = "progress";
  ScreenComponentType["CIRCULAR_PROGRESS"] = "circular_progress";
  ScreenComponentType["RANKING_LIST"] = "ranking_list";
  ScreenComponentType["PROPORTION_RANKING_LIST"] = "proportion_ranking_list";
  ScreenComponentType["COMMON_TABLE"] = "common_table";
  ScreenComponentType["LINE_CHART"] = "line_chart";
  ScreenComponentType["AREA_CHART"] = "area_chart";
  ScreenComponentType["STACK_AREA_CHART"] = "stack_area_chart";
  ScreenComponentType["COMBINATION"] = "combination";
  ScreenComponentType["BAR_CHART"] = "bar_chart";
  ScreenComponentType["STACK_BAR_CHART"] = "stack_bar_chart";
  ScreenComponentType["STRIP_CHART"] = "strip_chart";
  ScreenComponentType["STACK_STRIP_CHART"] = "stack_strip_chart";
  ScreenComponentType["PIE"] = "pie";
  ScreenComponentType["DONUT"] = "donut";
  ScreenComponentType["ROSE"] = "rose";
  ScreenComponentType["LAYER_GROUP"] = "layer_group";
  ScreenComponentType["ICON"] = "icon";
  ScreenComponentType["RECT_SHAPE"] = "rect_shape";
  ScreenComponentType["CIRCLE_SHAPE"] = "circle_shape";
  ScreenComponentType["TRIANGLE_SHAPE"] = "triangle_shape";
  ScreenComponentType["ARROW_SHAPE"] = "arrow_shape";
  ScreenComponentType["COLOR_MAP"] = "map.color.new";
  ScreenComponentType["BUBBLE_MAP"] = "map.bubble.new";
  ScreenComponentType["SYMBOL_MAP"] = "map.lbs.symbol";
  ScreenComponentType["FLYLINE_MAP"] = "map.lbs.line";
  ScreenComponentType["HEATMAP"] = "heatmap";
})(ScreenComponentType || (ScreenComponentType = {}));

export var ComponentType;

(function (ComponentType) {
  ComponentType[ComponentType["CUSTOM"] = 0] = "CUSTOM";
  ComponentType[ComponentType["TABLE"] = 1] = "TABLE";
  ComponentType[ComponentType["BAR"] = 2] = "BAR";
  ComponentType[ComponentType["LINE"] = 3] = "LINE";
  ComponentType[ComponentType["PIE"] = 4] = "PIE";
  ComponentType[ComponentType["BUBBLE_MAP"] = 5] = "BUBBLE_MAP";
  ComponentType[ComponentType["COLOR_MAP"] = 6] = "COLOR_MAP";
  ComponentType[ComponentType["RADAR"] = 7] = "RADAR";
  ComponentType[ComponentType["SCATTER"] = 9] = "SCATTER";
  ComponentType[ComponentType["FUNNEL"] = 10] = "FUNNEL";
  ComponentType[ComponentType["INDICATOR"] = 11] = "INDICATOR";
  ComponentType[ComponentType["TREEMAP"] = 16] = "TREEMAP";
  ComponentType[ComponentType["GAUGE"] = 20] = "GAUGE";
  ComponentType[ComponentType["TEXT"] = 17] = "TEXT";
  ComponentType[ComponentType["QUERY"] = 18] = "QUERY";
  ComponentType[ComponentType["DATEPICKER"] = 19] = "DATEPICKER";
  ComponentType[ComponentType["POLAR"] = 8] = "POLAR";
  ComponentType[ComponentType["WORDCLOUD"] = 12] = "WORDCLOUD";
  ComponentType[ComponentType["TORNADO"] = 13] = "TORNADO";
  ComponentType[ComponentType["TREE"] = 14] = "TREE";
  ComponentType[ComponentType["PATH"] = 15] = "PATH";
  ComponentType[ComponentType["IFRAME"] = 21] = "IFRAME";
  ComponentType[ComponentType["TAB"] = 22] = "TAB";
  ComponentType[ComponentType["PIC"] = 23] = "PIC";
  ComponentType[ComponentType["LBS_BUBBLE_MAP"] = 24] = "LBS_BUBBLE_MAP";
  ComponentType[ComponentType["LBS_MAP"] = 24] = "LBS_MAP";
  ComponentType[ComponentType["POLYLINE"] = 25] = "POLYLINE";
  ComponentType[ComponentType["STRIP"] = 26] = "STRIP";
  ComponentType[ComponentType["PROGRESS"] = 27] = "PROGRESS";
  ComponentType[ComponentType["PERSPECTIVE"] = 28] = "PERSPECTIVE";
  ComponentType[ComponentType["BUBBLE"] = 29] = "BUBBLE";
  ComponentType[ComponentType["RADICAL_BAR"] = 30] = "RADICAL_BAR";
  ComponentType[ComponentType["MAP_LBS_LINE"] = 31] = "MAP_LBS_LINE";
  ComponentType[ComponentType["MAP_LBS_HEAT"] = 32] = "MAP_LBS_HEAT";
  ComponentType[ComponentType["MAP_3D_WORLD"] = 33] = "MAP_3D_WORLD";
  ComponentType[ComponentType["MAP_3D_CHINA"] = 34] = "MAP_3D_CHINA";
  ComponentType[ComponentType["OFFLINE_TABLE"] = 35] = "OFFLINE_TABLE";
  ComponentType[ComponentType["MAP_3D_SPHERE"] = 36] = "MAP_3D_SPHERE";
  ComponentType[ComponentType["LINE_STACK"] = 37] = "LINE_STACK";
  ComponentType[ComponentType["POLYLINE_STACK"] = 38] = "POLYLINE_STACK";
  ComponentType[ComponentType["POLYLINE_STACK_PERCENT"] = 39] = "POLYLINE_STACK_PERCENT";
  ComponentType[ComponentType["STRIP_STACK"] = 40] = "STRIP_STACK";
  ComponentType[ComponentType["STRIP_STACK_PERCENT"] = 41] = "STRIP_STACK_PERCENT";
  ComponentType[ComponentType["BAR_STACK"] = 42] = "BAR_STACK";
  ComponentType[ComponentType["BAR_STACK_PERCENT"] = 43] = "BAR_STACK_PERCENT";
  ComponentType[ComponentType["MAP_LBS_CONTRAIL"] = 44] = "MAP_LBS_CONTRAIL";
  ComponentType[ComponentType["MAP_LBS_DYNAMICTRAIL"] = 45] = "MAP_LBS_DYNAMICTRAIL";
  ComponentType[ComponentType["MAP_REGION_BUBBLE"] = 46] = "MAP_REGION_BUBBLE";
  ComponentType[ComponentType["MAP_REGION_COLOR"] = 47] = "MAP_REGION_COLOR";
  ComponentType[ComponentType["COMBINATION"] = 48] = "COMBINATION";
  ComponentType[ComponentType["DashBoard"] = 49] = "DashBoard";
  ComponentType[ComponentType["ADVANCED_QUERY"] = 50] = "ADVANCED_QUERY";
  ComponentType[ComponentType["WATERFALL"] = 51] = "WATERFALL";
  ComponentType[ComponentType["SANKEY"] = 52] = "SANKEY";
  ComponentType[ComponentType["INDICATOR_TREND"] = 53] = "INDICATOR_TREND";
  ComponentType[ComponentType["RANKING_LIST"] = 54] = "RANKING_LIST";
  ComponentType[ComponentType["FLIPPER"] = 55] = "FLIPPER";
  ComponentType[ComponentType["FROMTO"] = 56] = "FROMTO";
  ComponentType[ComponentType["MAP_COLOR_NEW"] = 57] = "MAP_COLOR_NEW";
  ComponentType[ComponentType["MAP_BUBBLE_NEW"] = 58] = "MAP_BUBBLE_NEW";
  ComponentType[ComponentType["SCATTER_NEW"] = 59] = "SCATTER_NEW";
  ComponentType[ComponentType["QUERY2"] = 60] = "QUERY2";
  ComponentType[ComponentType["FUNNEL_NEW"] = 61] = "FUNNEL_NEW";
  ComponentType[ComponentType["FUNNEL_NEW_COMPARE"] = 62] = "FUNNEL_NEW_COMPARE";
  ComponentType[ComponentType["GAUGE_NEW"] = 63] = "GAUGE_NEW";
  ComponentType[ComponentType["WATERWAVE"] = 64] = "WATERWAVE";
  ComponentType[ComponentType["PROGRESS_NEW"] = 65] = "PROGRESS_NEW";
  ComponentType[ComponentType["INDICATOR_CARD"] = 66] = "INDICATOR_CARD";
  ComponentType[ComponentType["DECOMPOSITION_TREE"] = 67] = "DECOMPOSITION_TREE";
  ComponentType[ComponentType["BAR_CHART_RACE"] = 68] = "BAR_CHART_RACE";
  ComponentType[ComponentType["STORY_TIMELINE"] = 69] = "STORY_TIMELINE";
  ComponentType[ComponentType["CROSS_TABLE"] = 70] = "CROSS_TABLE";
  ComponentType[ComponentType["LBS_SYMBOL_MAP"] = 71] = "LBS_SYMBOL_MAP";
  ComponentType[ComponentType["COMMON_TABLE"] = 73] = "COMMON_TABLE";
  ComponentType[ComponentType["ANALYSE_TABLE"] = 72] = "ANALYSE_TABLE";
  ComponentType[ComponentType["EXCEL_CROSS_TABLE"] = 74] = "EXCEL_CROSS_TABLE";
  ComponentType[ComponentType["TREND_TABLE"] = 75] = "TREND_TABLE";
  ComponentType[ComponentType["CHILD_CUBE"] = 76] = "CHILD_CUBE";
  ComponentType[ComponentType["QUICK_REPORT_CROSS_TABLE"] = 77] = "QUICK_REPORT_CROSS_TABLE";
  ComponentType[ComponentType["CONCAT_CONTAINER"] = 78] = "CONCAT_CONTAINER";
  ComponentType[ComponentType["QUICK_REPORT_CELL_TABLE"] = 79] = "QUICK_REPORT_CELL_TABLE";
  ComponentType[ComponentType["QUICK_REPORT_CARD_VIEW"] = 80] = "QUICK_REPORT_CARD_VIEW";
  ComponentType[ComponentType["INDICATOR_RELATION"] = 81] = "INDICATOR_RELATION";
  ComponentType[ComponentType["HEATMAP"] = 82] = "HEATMAP";
})(ComponentType || (ComponentType = {}));

export var ScreenComponentCode = (_ScreenComponentCode = {}, _defineProperty(_ScreenComponentCode, ScreenComponentType.CUSTOM_COMPONENT, ComponentType.CUSTOM), _defineProperty(_ScreenComponentCode, ScreenComponentType.LAYER_GROUP, 1000), _defineProperty(_ScreenComponentCode, ScreenComponentType.PLAIN_TEXT, 1001), _defineProperty(_ScreenComponentCode, ScreenComponentType.MARQUEE, 1002), _defineProperty(_ScreenComponentCode, ScreenComponentType.IMAGE, 1003), _defineProperty(_ScreenComponentCode, ScreenComponentType.VIDEO, 1004), _defineProperty(_ScreenComponentCode, ScreenComponentType.INTERACTIVE_BUTTON, 1005), _defineProperty(_ScreenComponentCode, ScreenComponentType.DROPDOWN_BUTTON, 1006), _defineProperty(_ScreenComponentCode, ScreenComponentType.GROUP_BUTTON, 1007), _defineProperty(_ScreenComponentCode, ScreenComponentType.FLIPPER, 1008), _defineProperty(_ScreenComponentCode, ScreenComponentType.THRESHOLD_FLIPPER, 1009), _defineProperty(_ScreenComponentCode, ScreenComponentType.PROGRESS, 1010), _defineProperty(_ScreenComponentCode, ScreenComponentType.CIRCULAR_PROGRESS, 1011), _defineProperty(_ScreenComponentCode, ScreenComponentType.RANKING_LIST, 1012), _defineProperty(_ScreenComponentCode, ScreenComponentType.PROPORTION_RANKING_LIST, 1013), _defineProperty(_ScreenComponentCode, ScreenComponentType.COMMON_TABLE, 1014), _defineProperty(_ScreenComponentCode, ScreenComponentType.LINE_CHART, 1015), _defineProperty(_ScreenComponentCode, ScreenComponentType.AREA_CHART, 1016), _defineProperty(_ScreenComponentCode, ScreenComponentType.STACK_AREA_CHART, 1017), _defineProperty(_ScreenComponentCode, ScreenComponentType.COMBINATION, 1018), _defineProperty(_ScreenComponentCode, ScreenComponentType.BAR_CHART, 1019), _defineProperty(_ScreenComponentCode, ScreenComponentType.STACK_BAR_CHART, 1020), _defineProperty(_ScreenComponentCode, ScreenComponentType.STRIP_CHART, 1021), _defineProperty(_ScreenComponentCode, ScreenComponentType.STACK_STRIP_CHART, 1022), _defineProperty(_ScreenComponentCode, ScreenComponentType.PIE, 1023), _defineProperty(_ScreenComponentCode, ScreenComponentType.DONUT, 1024), _defineProperty(_ScreenComponentCode, ScreenComponentType.ROSE, 1025), _defineProperty(_ScreenComponentCode, ScreenComponentType.TIME, 1026), _defineProperty(_ScreenComponentCode, ScreenComponentType.ICON, 1027), _defineProperty(_ScreenComponentCode, ScreenComponentType.IFRAME, 1028), _defineProperty(_ScreenComponentCode, ScreenComponentType.RECT_SHAPE, 1029), _defineProperty(_ScreenComponentCode, ScreenComponentType.CIRCLE_SHAPE, 1030), _defineProperty(_ScreenComponentCode, ScreenComponentType.TRIANGLE_SHAPE, 1031), _defineProperty(_ScreenComponentCode, ScreenComponentType.ARROW_SHAPE, 1032), _defineProperty(_ScreenComponentCode, ScreenComponentType.COLOR_MAP, 1033), _defineProperty(_ScreenComponentCode, ScreenComponentType.BUBBLE_MAP, 1034), _defineProperty(_ScreenComponentCode, ScreenComponentType.SYMBOL_MAP, 1035), _defineProperty(_ScreenComponentCode, ScreenComponentType.FLYLINE_MAP, 1036), _defineProperty(_ScreenComponentCode, ScreenComponentType.HEATMAP, 1037), _ScreenComponentCode);
export var ChartType;

(function (ChartType) {
  ChartType["ROOT"] = "root";
  ChartType["LINE"] = "line";
  ChartType["LINE_STACK"] = "line-stack";
  ChartType["POLYLINE"] = "polyline";
  ChartType["POLYLINE_STACK"] = "polyline-stack";
  ChartType["POLYLINE_STACK_PERCENT"] = "polyline-stack-percent";
  ChartType["BAR"] = "bar";
  ChartType["BAR_STACK"] = "bar-stack";
  ChartType["BAR_STACK_PERCENT"] = "bar-stack-percent";
  ChartType["RADICAL_BAR"] = "radical-bar";
  ChartType["STRIP"] = "strip";
  ChartType["STRIP_STACK"] = "strip-stack";
  ChartType["STRIP_STACK_PERCENT"] = "strip-stack-percent";
  ChartType["PIE"] = "pie";
  ChartType["MAP_BUBBLE"] = "map.bubble";
  ChartType["MAP_COLOR"] = "map.color";
  ChartType["MAP_BUBBLE_NEW"] = "map.bubble.new";
  ChartType["MAP_COLOR_NEW"] = "map.color.new";
  ChartType["MAP_REGION_COLOR"] = "map.region.color";
  ChartType["MAP_REGION_BUBBLE"] = "map.region.bubble";
  ChartType["MAP_LBS"] = "map.lbs";
  ChartType["MAP_LBS_BUBBLE"] = "map.lbs.bubble";
  ChartType["MAP_LBS_HEAT"] = "map.lbs.heat";
  ChartType["MAP_LBS_LINE"] = "map.lbs.line";
  ChartType["MAP_LBS_SYMBOL"] = "map.lbs.symbol";
  ChartType["MAP_LBS_CONTRAIL"] = "map.lbs.contrail";
  ChartType["MAP_LBS_DYNAMICTRAIL"] = "map.lbs.dynamictrail";
  ChartType["MAP_3D_WORLD"] = "map.3d.world";
  ChartType["MAP_3D_CHINA"] = "map.3d.china";
  ChartType["MAP_3D_SPHERE"] = "map.3d.sphere";
  ChartType["TABLE"] = "table";
  ChartType["PERSPECTIVE"] = "perspective";
  ChartType["GAUGE"] = "gauge";
  ChartType["GAUGE_NEW"] = "gauge.new";
  ChartType["WATERWAVE"] = "waterwave";
  ChartType["PROGRESS_NEW"] = "progress.new";
  ChartType["RADAR"] = "radar";
  ChartType["SCATTER"] = "scatter";
  ChartType["SCATTER_NEW"] = "scatter.new";
  ChartType["FUNNEL"] = "funnel";
  ChartType["INDICATOR"] = "indicator";
  ChartType["INDICATOR_CARD"] = "indicator-card";
  ChartType["TREEMAP"] = "treemap";
  ChartType["POLAR"] = "polar";
  ChartType["WORDCLOUD"] = "wordCloud";
  ChartType["HEATMAP"] = "heatmap";
  ChartType["TORNADO"] = "tornado";
  ChartType["TREE"] = "tree";
  ChartType["PATH"] = "path";
  ChartType["PROGRESS"] = "progress";
  ChartType["BUBBLE"] = "bubble";
  ChartType["OFFLINE_TABLE"] = "offline";
  ChartType["QUERY"] = "query";
  ChartType["IFRAME"] = "iframe";
  ChartType["TEXT"] = "text";
  ChartType["TAB"] = "tab";
  ChartType["PIC"] = "pic";
  ChartType["WATERFALL"] = "waterfall";
  ChartType["SANKEY"] = "sankey";
  ChartType["ADVANCED_QUERY"] = "advanced-query";
  ChartType["RANKING_LIST"] = "ranking-list";
  ChartType["FLIPPER"] = "flipper";
  ChartType["FROMTO"] = "fromto";
  ChartType["INDICATOR_TREND"] = "indicator-trend";
  ChartType["COMBINATION"] = "combination";
  ChartType["QUERY2"] = "query2";
  ChartType["FUNNEL_NEW"] = "funnel.new";
  ChartType["FUNNEL_NEW_COMPARE"] = "funnel.new.compare";
  ChartType["DECOMPOSITION_TREE"] = "decomposition-tree";
  ChartType["BAR_CHART_RACE"] = "bar-chart-race";
  ChartType["STORY_TIMELINE"] = "story-timeline";
  ChartType["TAB_PANEL"] = "tab-panel";
  ChartType["CUSTOM"] = "custom";
  ChartType["CROSS_TABLE"] = "cross-table";
  ChartType["EXCEL_CROSS_TABLE"] = "excel-cross-table";
  ChartType["QUICK_REPORT_CROSS_TABLE"] = "quick-report-cross-table";
  ChartType["STORY_BUILDER"] = "story-builder";
  ChartType["COMMON_TABLE"] = "common-table";
  ChartType["CHILD_CUBE"] = "child-cube";
  ChartType["TREND_TABLE"] = "trend-table";
  ChartType["CONCAT_CONTAINER"] = "concat-container";
  ChartType["QUICK_REPORT_CELL_TABLE"] = "quick-report-cell-table";
  ChartType["QUICK_REPORT_CARD_VIEW"] = "quick-report-card-view";
  ChartType["INDICATOR_RELATION"] = "indicator-relation";
})(ChartType || (ChartType = {}));