import _classCallCheck from "@babel/runtime/helpers/classCallCheck.js";
export var CustomAreaType;

(function (CustomAreaType) {
  CustomAreaType["CUSTOM_AREA"] = "CUSTOM_AREA";
  CustomAreaType["CUSTOM_GEOJSON"] = "CUSTOM_GEOJSON";
})(CustomAreaType || (CustomAreaType = {}));

export var PhysicalSchema = function PhysicalSchema() {
  _classCallCheck(this, PhysicalSchema);

  this.tables = [];
  this.virtualTables = [];
  this.links = [];
  this.sqlHintTypes = [];
};
export var CubeSchema = function CubeSchema() {
  _classCallCheck(this, CubeSchema);

  this.uniqueId = '';
  this.cubeId = '';
  this.datasourceId = '';
  this.caption = '';
  this.fields = [];
  this.fieldTree = [];
  this.filter = null;
  this.params = [];
  this.sqlPlaceholders = [];
};
export var SchemaExtraInfo = function SchemaExtraInfo() {
  _classCallCheck(this, SchemaExtraInfo);

  this.aimDirId = null;
  this.hasAuthorizedUse = void 0;
  this.permissionList = void 0;
  this.dataLevelAttributeIds = [];
  this.withoutColumnLevelPermissionFields = [];
  this.aggFunctions = [];
  this.isDataMaskOpen = void 0;
  this.isOpenColumnLevelPermission = void 0;
  this.isOpenRowLevelPermission = void 0;
  this.dsCreateOrigin = void 0;
  this.dataLoadMode = void 0;
  this.etlGenerateCube = void 0;
};
export var CubeModel = function CubeModel() {
  _classCallCheck(this, CubeModel);

  this.physicalSchema = new PhysicalSchema();
  this.cubeSchema = new CubeSchema();
  this.metaModelVersion = '2.0';
  this.schemaExtraInfo = new SchemaExtraInfo();
};
export var TableJoinType;

(function (TableJoinType) {
  TableJoinType["LEFT_OUTER_JOIN"] = "LEFT_OUTER_JOIN";
  TableJoinType["INNER_JOIN"] = "INNER_JOIN";
  TableJoinType["FULL_OUTER_JOIN"] = "FULL_OUTER_JOIN";
  TableJoinType["JOIN_ERROR"] = "JOIN_ERROR";
})(TableJoinType || (TableJoinType = {}));

export var TableRelation;

(function (TableRelation) {
  TableRelation["MANY_TO_ONE"] = "many-to-one";
})(TableRelation || (TableRelation = {}));

export var JoinCondition;

(function (JoinCondition) {
  JoinCondition["EQUAL_TO"] = "equal-to";
  JoinCondition["UNEQUAL_TO"] = "unequal-to";
  JoinCondition["GREATER_THAN"] = "greater-than";
  JoinCondition["LESS_THAN"] = "less-than";
})(JoinCondition || (JoinCondition = {}));

export var DataType;

(function (DataType) {
  DataType["number"] = "number";
  DataType["string"] = "string";
  DataType["date"] = "date";
  DataType["datetime"] = "datetime";
  DataType["time"] = "time";
})(DataType || (DataType = {}));

export var SecondDataType;

(function (SecondDataType) {
  SecondDataType["number"] = "number";
  SecondDataType["string"] = "string";
  SecondDataType["geographic"] = "geographic";
  SecondDataType["imageUrl"] = "imageUrl";
  SecondDataType["date"] = "date";
  SecondDataType["datetime"] = "datetime";
  SecondDataType["time"] = "time";
  SecondDataType["multiValue"] = "multi_value";
})(SecondDataType || (SecondDataType = {}));

export var DateGranularity;

(function (DateGranularity) {
  DateGranularity["year"] = "year";
  DateGranularity["quarter"] = "year-quarter";
  DateGranularity["month"] = "year-month";
  DateGranularity["week"] = "year-week";
  DateGranularity["day"] = "year-month-day";
  DateGranularity["hour"] = "hour";
  DateGranularity["minute"] = "hour-minute";
  DateGranularity["second"] = "hour-minute-second";
  DateGranularity["datetime"] = "datetime";
})(DateGranularity || (DateGranularity = {}));

export var RegionGranularity;

(function (RegionGranularity) {
  RegionGranularity["continent"] = "CONTINENT";
  RegionGranularity["country"] = "COUNTRY";
  RegionGranularity["region"] = "REGION";
  RegionGranularity["custom_region"] = "CUSTOM_REGION";
  RegionGranularity["province"] = "PROVINCE";
  RegionGranularity["city"] = "CITY";
  RegionGranularity["xian"] = "XIAN";
  RegionGranularity["street"] = "STREET";
  RegionGranularity["lng"] = "LNG";
  RegionGranularity["lat"] = "LAT";
})(RegionGranularity || (RegionGranularity = {}));

export var MultiSeparator;

(function (MultiSeparator) {
  MultiSeparator["comma"] = ",";
  MultiSeparator["semicolon"] = ";";
  MultiSeparator["space"] = " ";
})(MultiSeparator || (MultiSeparator = {}));

export var Aggregator;

(function (Aggregator) {
  Aggregator["sum"] = "sum";
  Aggregator["count"] = "count";
  Aggregator["distinct-count"] = "distinct-count";
  Aggregator["max"] = "max";
  Aggregator["min"] = "min";
  Aggregator["avg"] = "avg";
})(Aggregator || (Aggregator = {}));

export var FilterAttr = function FilterAttr() {
  _classCallCheck(this, FilterAttr);

  this.logicalOperator = void 0;
  this.filterElements = [];
  this.filters = [];
  this.beforeJoin = void 0;
  this.tableId = void 0;
};
export var ParamDataType;

(function (ParamDataType) {
  ParamDataType["string"] = "string";
  ParamDataType["number"] = "number";
  ParamDataType["dateRegion"] = "dateRegion";
  ParamDataType["monthRegion"] = "monthRegion";
  ParamDataType["weekRegion"] = "weekRegion";
  ParamDataType["yearRegion"] = "yearRegion";
  ParamDataType["ymdHmsRegion"] = "ymdHmsRegion";
})(ParamDataType || (ParamDataType = {}));

export var CellsetDimTypes;

(function (CellsetDimTypes) {
  CellsetDimTypes["StandardDimension"] = "StandardDimension";
  CellsetDimTypes["StrDateTypeDimension"] = "StrDateTypeDimension";
  CellsetDimTypes["StarDimension"] = "StarDimension";
  CellsetDimTypes["GeographicDimension"] = "GeographicDimension";
  CellsetDimTypes["measureCol"] = "measureCol";
})(CellsetDimTypes || (CellsetDimTypes = {}));